<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi">

<xsl:include href="project://NAssess.Core/Engines/Evaluation/xslt.html/global.xslt"/>

	<xsl:template match="ddi:var[@intrvl='discrete'][ddi:varFormat/@type='numeric'][ddi:varFormat/@category='date']">
		<xsl:call-template name="preQTxt">
			<xsl:with-param name="var" select="."/>
		</xsl:call-template>
		<xsl:call-template name="QTxt">
			<xsl:with-param name="var" select="."/>
		</xsl:call-template>

		<p><b>[<xsl:value-of select="@name"/>: DATE VARIABLES ARE NOT YET SUPPORTED]</b></p>

		<xsl:call-template name="postQTxt">
			<xsl:with-param name="var" select="."/>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
