<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi">

<xsl:include href="project://NAssess.Core/Engines/Evaluation/xslt.html/global.xslt"/>

	<xsl:template match="ddi:var">
		<!-- This blank template prevents variables that are not specifically handled
			 from outputing strange text to the receiving browser. -->
	</xsl:template>

	<!-- Validation recursion -->
	<xsl:template match="ddi:var" mode="validation">
		<!-- This blank template prevents variables that are not specifically handled
			 from outputing strange text to the receiving browser. -->
	</xsl:template>
	
	<!-- hidden hint field recursion -->
	<xsl:template match="ddi:var" mode="hintField">
		<xsl:value-of select="@name"/>
		
		<!-- If this field has an "other" box, then output its name -->
		<xsl:variable name="otherVar" select="../ddi:var[@ID=current()/ddi:codInstr][ddi:varFormat/@category='other']"/>
		<xsl:if test="$otherVar">
			<xsl:text> </xsl:text>
			<xsl:value-of select="$otherVar/@name"/>
		</xsl:if>

	</xsl:template>	
</xsl:stylesheet>
