<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:xhtml="http://www.w3.org/1999/xhtml" 
				xmlns:culture="http://nassess.byu.edu/culture"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi culture">

	<xsl:template match="ddi:var[@intrvl='discrete'][ddi:varFormat/@type='numeric'][ddi:varFormat/@category='date']">
		<xsl:call-template name="preQTxt">
			<xsl:with-param name="var" select="."/>
		</xsl:call-template>
		<xsl:call-template name="QTxt">
			<xsl:with-param name="var" select="."/>
		</xsl:call-template>

		<fo:block font-weight="bold">
			[<xsl:value-of select="@name"/>: DATE VARIABLES ARE NOT YET SUPPORTED]
		</fo:block>

		<xsl:call-template name="postQTxt">
			<xsl:with-param name="var" select="."/>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>