<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi nassess">

<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/global.xslt"/>

	<!-- iterating through a series of participants -->
	<xsl:template match="nassess:for[@each='participant']">
		<xsl:variable name="contents" select="*"/>
		<xsl:for-each select="$participants">
			<xsl:apply-templates select="$contents">
				<xsl:with-param name="context" select="."/>
			</xsl:apply-templates>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>