using System;

namespace NAssess.Core.Evaluating
{
	/// <summary>
	/// Any class that implements this interface can render a questionnaire.
	/// </summary>
	public abstract class HtmlRenderingEngine : NAssess.Core.Engines.HtmlRenderingEngine
	{
		public abstract Evaluation Evaluation {get; set; }
		public Questionnaire Questionnaire { get { return Evaluation.Questionnaire; } }
	}
}
