using System;
using System.Collections.Generic;
using System.Text;

using Iesi.Collections;
using MyNHibernateContrib;

namespace NAssess.Core.FollowUp
{
	public class StockIncentive : Incentive
	{
		private StockProduct product;
		private string shippingAddress;
		private DateTime? shippingDate;
		/// <summary>
		/// The address that the incentive is/was to be shipped to.
		/// </summary>
		public string ShippingAddress
		{
			get { return shippingAddress; }
			set { shippingAddress = value; }
		}

		/// <summary>
		/// The specific stock incentive assigned.
		/// </summary>
		public StockProduct Product
		{
			get { return product; }
			set { product = value; }
		}

		/// <summary>
		/// The date that this incentive is/was to be shipped.
		/// </summary>
		public DateTime? ShippingDate
		{
			get { return shippingDate; }
			set { shippingDate = value; }
		}
	}
}
