<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				xmlns:renderExt="http://nassess.byu.edu/rendering/evaluation/StandardHtml"
				exclude-result-prefixes="ExsltStrings xsl ddi renderExt">

<xsl:include href="project://NAssess.Core/Engines/Evaluation/xslt.html/global.xslt"/>

<xsl:param name="clientvalidation">true</xsl:param>
<xsl:param name="WebDirectUrl"/>

	<xsl:template name="insertValidationCode">
	<xsl:if test="$clientvalidation='true'">
		<xsl:copy-of select="renderExt:IncludeClientJavaScript('/Engines/Evaluation/xslt.html/validation.js', '?NAssess/NAssess.Core.Engines.Evaluation.StandardHtml/GetValidationJS')"/>

		<script language="JavaScript">
		<xsl:comment><![CDATA[

			var oldLoadFunc = window.onload;

			function onLoad()
			{
				var f = document.forms[0];
]]> 
				<!-- Use recursion to go through each variable in this section, adding 
				     appropriate validation script. -->
				<xsl:apply-templates select="$sectionVarGrp" mode="validation"/>
				
<![CDATA[
				
				if( oldLoadFunc ) oldLoadFunc();
			}

			window.onload = onLoad;

		//]]></xsl:comment>
		</script>
	</xsl:if>	
	</xsl:template>
</xsl:stylesheet>
