using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace NAssess.Core.Engines.Questionnaire
{
	public class PluggablePdf : NAssess.Core.Evaluating.PdfRenderingEngine
	{
		public PluggablePdf(IFOtoPdfEngine foToPdfEngine)
		{
			if (foToPdfEngine == null) throw new ArgumentNullException("foToPdfEngine");
			FOtoPdfEngine = foToPdfEngine;
		}

		private NAssess.Core.Evaluating.Questionnaire questionnaire;
		public override NAssess.Core.Evaluating.Questionnaire Questionnaire
		{
			get { return questionnaire; }
			set { questionnaire = value; }
		}
		private IFOtoPdfEngine foToPdfEngine;
		public IFOtoPdfEngine FOtoPdfEngine
		{
			get { return foToPdfEngine; }
			private set { foToPdfEngine = value; }
		}

		public override void ToPdf(Stream outStream, bool monochrome)
		{
			FOtoPdfEngine.PdfStream = outStream;
			Questionnaire.FOEngine.ToFO(monochrome, FOtoPdfEngine.Render);
		}
	}
}
