<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:xhtml="http://www.w3.org/1999/xhtml" 
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi nassess">

<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/imports.xslt"/>

	<!-- Only display the contents of the nassess:if tag if this is PDF, and in the correct browser, if specified -->
	<xsl:template match="nassess:if[@viewer='browser']">		
		<!-- do not display contents, as this is a PDF -->
	</xsl:template>
	<xsl:template match="nassess:if[@viewer='pdf']">
		<xsl:apply-templates select="*|text()"/>
	</xsl:template>	
</xsl:stylesheet>