<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi nassess">

<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/global.xslt"/>

	<xsl:template match="nassess:if[@countof='participants'][@equals][not(nassess:then)]">		
		<xsl:if test="count($participants) = @equals">
			<xsl:apply-templates select="text()|*"/>
		</xsl:if>
	</xsl:template>

	<xsl:template match="nassess:if[@countof='participants'][@equals][nassess:then]">
		<xsl:choose>
			<xsl:when test="count($participants) = @equals">
				<xsl:apply-templates select="nassess:then/text()|nassess:then/*"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="nassess:else/text()|nassess:else/*"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>