<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi nassess">

<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/global.xslt"/>

	<!-- Displaying variable value in single user, single evaluation mode -->
	<xsl:template match="nassess:label[@var]">
		<xsl:variable name="varName" select="@var"/>
		<xsl:value-of select="normalize-space($codebook/ddi:dataDscr/ddi:var[@name=$varName]/ddi:labl)"/>
	</xsl:template>
</xsl:stylesheet>