<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi nassess">

<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/global.xslt"/>

	<!-- This template finds the level referenced and copies the contents of the first (header) tag 
		    to this location. Elsewhere in the PDF or HTML-specific rendering templates, this tag
			is extended to also create a link. -->
	<xsl:template match="nassess:xref[@levelID]">
		<xsl:value-of select="//nassess:level[@id=current()/@levelID]/*[1]"/>
	</xsl:template>

</xsl:stylesheet>